aboutsummaryrefslogtreecommitdiff
path: root/dev/db
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:43:29 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-15 23:43:29 +0000
commiteab5be76d432faaa9885b6d9b626403d4e246c00 (patch)
treee0109fac801e94a1f1ce7c3ba78eb0bf860dd332 /dev/db
parentf6499eb8393ebb1de5ccefe4356053035b090acb (diff)
downloadslackbuilds-eab5be76d432faaa9885b6d9b626403d4e246c00.tar.gz
slackbuilds-eab5be76d432faaa9885b6d9b626403d4e246c00.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@686 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'dev/db')
-rwxr-xr-xdev/db/postgresql/postgresql.SlackBuild143
1 files changed, 143 insertions, 0 deletions
diff --git a/dev/db/postgresql/postgresql.SlackBuild b/dev/db/postgresql/postgresql.SlackBuild
new file mode 100755
index 00000000..7e6be1cd
--- /dev/null
+++ b/dev/db/postgresql/postgresql.SlackBuild
@@ -0,0 +1,143 @@
+#!/bin/bash
+#
+# slackbuild script for postgresql
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building postgresql are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="postgresql"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=7.4.14}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+MD5="$SRC.md5"
+URL="ftp://ftp.us.postgresql.org/pub/mirrors/postgresql/source/v$VERSION/$SRC"
+MD5_URL="$URL.md5"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ]; then
+ if [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+ fi
+ if [ ! -f "$SRC_DIR/$MD5" ]; then
+ wget "$MD5_URL" -O "$SRC_DIR/$MD5" || exit $ERROR_WGET
+ fi
+fi
+
+cat $SRC_DIR/$MD5 | cut -d = -f 2 | sed -e "s/^ //" > $SRC_DIR/$MD5.tmp
+mv $SRC_DIR/$MD5.tmp $SRC_DIR/$MD5
+md5sum $SRC_DIR/$SRC | awk '{ print $1 }' | diff - $SRC_DIR/$MD5 || exit $ERROR_MD5
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --enable-thread-safety || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+mkdir -p etc/rc.d
+sed -e 's/\/usr\/local\/pgsql\/data/\/var\/lib\/postgresql\/data/' \
+ -e 's/\/usr\/local\/postgresql/\/usr/' $CWD/contrib/start-scripts/linux > etc/rc.d/rc.postgresql.new
+
+chmod 755 etc/rc.d/rc.postgresql.new
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+postgresql: postgresql (A robust Object-Relational DBMS)
+postgresql:
+postgresql: PostgreSQL is a robust, next-generation, Object-Relational DBMS
+postgresql: (ORDBMS), derived from the Berkeley Postgres database management
+postgresql: system. While PostgreSQL retains the powerful object-relational
+postgresql: data model, rich data types and easy extensibility of Postgres, it
+postgresql: replaces the PostQuel query language with an extended subset of SQL.
+postgresql:
+postgresql:
+postgresql:
+postgresql:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="COPYRIGHT HISTORY INSTALL README"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+# install script
+echo '( if ! grep -qe "^postgres:" etc/group; then echo creating group postgres... ; chroot . /usr/sbin/groupadd postgres; fi )' >> install/doinst.sh
+echo '( if ! grep -qe "^postgres:" etc/passwd; then echo creating user postgres... ; chroot . /usr/sbin/useradd postgres -g postgres; fi )' >> install/doinst.sh
+echo '( if [ ! -f "etc/rc.d/rc.postgresql" ]; then mv etc/rc.d/rc.postgresql.new etc/rc.d/rc.postgresql; fi )' >> install/doinst.sh
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+